Package org.apache.solr.common.cloud

# Class ClusterState.CollectionRef

java.lang.Object
org.apache.solr.common.cloud.ClusterState.CollectionRef

Enclosing class:
  `ClusterState`

public static class ClusterState.CollectionRef extends Object

## Field Summary

Fields
Modifier and Type
Field
Description
`protected final AtomicInteger`
`gets`

## Constructor Summary

Constructors
Constructor
Description
`CollectionRef(DocCollection coll)`

## Method Summary

Modifier and Type
Method
Description
`DocCollection`
`get()`
Return the DocCollection, always re-fetching if lazy.
`DocCollection`
`get(boolean allowCached)`
Return the DocCollection
`int`
`getCount()`
`boolean`
`isLazilyLoaded()`
`String`
`toString()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Field Details

### gets

protected final AtomicInteger gets

## Constructor Details

### CollectionRef

public CollectionRef(DocCollection coll)

## Method Details

### getCount

public int getCount()

### get

public DocCollection get()
Return the DocCollection, always re-fetching if lazy. Equivalent to get(false)

Returns:
  The collection state modeled in zookeeper

### get

public DocCollection get(boolean allowCached)
Return the DocCollection

Parameters:
  `allowCached` - Determines if cached value can be used. Applies only to LazyCollectionRef.
Returns:
  The collection state modeled in zookeeper

### isLazilyLoaded

public boolean isLazilyLoaded()

### toString

public String toString()

Overrides:
  `toString` in class `Object`